Jump to content

Archived

This topic is now archived and is closed to further replies.

josh1178

Remove Bootstrap and use Bootstrap 3

Recommended Posts

josh1178

I want to just use the pagelines canvas sections, custom text box and bootstrap 3.

 

I'd like to turn off Bootstrap 2 and just use Bootstrap 3. Can anyone tell me how I would remove Bootstrap 2 and insert Bootstrap 3?

 

Thanks.

Share this post


Link to post
Share on other sites
Danny

Hi,

 

Unfortunately, this isn't something that can be achieved as DMS utilises Bootstrap 2 in most sections. Removing it and adding Bootstrap 3 will likely cause all kinds of issues, especially as DMS uses a customized version of Bootstrap 2.


Please search our forums, before posting!

Share this post


Link to post
Share on other sites
josh1178

Thanks. But I don't want to use any of the sections though. I just want to use the canvas section and true text box and get rid of any extra bloat.  Still not possible?

Share this post


Link to post
Share on other sites
camaran
It's possible to use bootstrap 3 button style?

Share this post


Link to post
Share on other sites
Danny

By using a child theme, you're free to override any styling DMS uses. However, this isn't something we recommend nor provide support for. In regards to overriding buttons, you will simply want to add the button.less file to your child themes less directory and override the styling. However, this may cause some issues with some sections that include buttons as an option.


Please search our forums, before posting!

Share this post


Link to post
Share on other sites
josh1178

So Danny, is there way to unload bootstrap 2 and load bootstrap 3 somehow using functions.php?

 

I don't want to run both and I'd like to try some Bootstrap 3 code in my empty textbox sections. 

 

Share this post


Link to post
Share on other sites
Danny

As far as I am aware it is not possible, DMS relies on the customized version of Bootstrap 2.x. By removing it from you will likely cause all kinds of issues. Our developers are aware that a lot of users want to use Bootstrap 3 and this is in our tracker already. However, updating to Bootstrap 3 would be a massive update and would require extensive testing. That is why it hasn't been included as of yet.


Please search our forums, before posting!

Share this post


Link to post
Share on other sites

×